Last Comment Bug 670994 - nsHttpPipeline::ResumeSend() in not unreachable
: nsHttpPipeline::ResumeSend() in not unreachable
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla11
Assigned To: Patrick McManus [:mcmanus]
:
Mentors:
Depends on:
Blocks: 599164
  Show dependency treegraph
 
Reported: 2011-07-12 10:48 PDT by Patrick McManus [:mcmanus]
Modified: 2012-03-29 02:00 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (973 bytes, patch)
2011-07-12 11:06 PDT, Patrick McManus [:mcmanus]
honzab.moz: review+
Details | Diff | Review

Description Patrick McManus [:mcmanus] 2011-07-12 10:48:31 PDT
This is patch is originally from 599164 and is broken out at the reviewer's request:

"" @@ +215,5 @@
>  nsresult
>  nsHttpPipeline::ResumeSend()
>  {
> +    if (mConnection)
> +        return mConnection->ResumeSend();

This might get called from nsHttpTransaction::OnInputStreamReady when transaction's request buffer was not filled with all data to send and later those data was pushed to that buffer (we resume sending the rest of the request data).  This is an important fix and should be in a separate bug bellow in the patch queue.  Even before the "bursty" patch gets landed.""
Comment 1 Patrick McManus [:mcmanus] 2011-07-12 11:06:28 PDT
Created attachment 545423 [details] [diff] [review]
patch v1
Comment 2 Honza Bambas (:mayhemer) 2011-07-12 11:56:55 PDT
Comment on attachment 545423 [details] [diff] [review]
patch v1

Review of attachment 545423 [details] [diff] [review]:
-----------------------------------------------------------------

r=honzab
Comment 3 Patrick McManus [:mcmanus] 2011-11-15 07:02:09 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/c9b326ff4c16
Comment 4 Ed Morley [:emorley] 2011-11-15 11:46:34 PST
https://hg.mozilla.org/mozilla-central/rev/c9b326ff4c16

Note You need to log in before you can comment on or make changes to this bug.